Package org.opensaml.core.config.provider

# Class EmptyConfigurationProperties

java.lang.Object
org.opensaml.core.config.provider.EmptyConfigurationProperties

All Implemented Interfaces:
  `ConfigurationProperties`

public class EmptyConfigurationProperties extends Object implements ConfigurationProperties
An implementation of `ConfigurationProperties` that is empty.

## Constructor Summary

Constructors
Constructor
Description
`EmptyConfigurationProperties()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getProperty(String key)`
Return the property value with the specified key, or null.
`String`
`getProperty(String key, String defaultValue)`
Return the property value with the specified key, or the specified default value if key does not exist.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EmptyConfigurationProperties

public EmptyConfigurationProperties()

## Method Details

### getProperty

@Nullable public String getProperty(@Nonnull String key)
Return the property value with the specified key, or null.

Specified by:
  `getProperty` in interface `ConfigurationProperties`
Parameters:
  `key` - the property key
Returns:
  the property value, or null

### getProperty

@Nonnull public String getProperty(@Nonnull String key, @Nonnull String defaultValue)
Return the property value with the specified key, or the specified default value if key does not exist.

Specified by:
  `getProperty` in interface `ConfigurationProperties`
Parameters:
  `key` - the property key
  `defaultValue` - the default value to return
Returns:
  the property value, or the specified default value